## oem-touchpad-alps-synaptics-dkms 0.5wataugafour1

=== oem-touchpad-alps-synaptics/Makefile ===
#
# Makefile for the mouse drivers.
#
KVER?= $(shell uname -r)

# Each configuration option enables a list of files.

obj-$(CONFIG_MOUSE_AMIGA)		+= amimouse.o
obj-$(CONFIG_MOUSE_APPLETOUCH)		+= appletouch.o
obj-$(CONFIG_MOUSE_ATARI)		+= atarimouse.o
obj-$(CONFIG_MOUSE_BCM5974)		+= bcm5974.o
obj-$(CONFIG_MOUSE_GPIO)		+= gpio_mouse.o
obj-$(CONFIG_MOUSE_INPORT)		+= inport.o
obj-$(CONFIG_MOUSE_LOGIBM)		+= logibm.o
obj-$(CONFIG_MOUSE_MAPLE)		+= maplemouse.o
obj-$(CONFIG_MOUSE_NAVPOINT_PXA27x)	+= navpoint.o
obj-$(CONFIG_MOUSE_PC110PAD)		+= pc110pad.o
obj-$(CONFIG_MOUSE_PS2)			+= psmouse.o
obj-$(CONFIG_MOUSE_PXA930_TRKBALL)	+= pxa930_trkball.o
obj-$(CONFIG_MOUSE_RISCPC)		+= rpcmouse.o
obj-$(CONFIG_MOUSE_SERIAL)		+= sermouse.o
obj-$(CONFIG_MOUSE_SYNAPTICS_I2C)	+= synaptics_i2c.o
obj-$(CONFIG_MOUSE_SYNAPTICS_USB)	+= synaptics_usb.o
obj-$(CONFIG_MOUSE_VSXXXAA)		+= vsxxxaa.o

psmouse-objs := psmouse-base.o synaptics.o

psmouse-$(CONFIG_MOUSE_PS2_ALPS)	+= alps.o
psmouse-$(CONFIG_MOUSE_PS2_ELANTECH)	+= elantech.o
psmouse-$(CONFIG_MOUSE_PS2_OLPC)	+= hgpk.o
psmouse-$(CONFIG_MOUSE_PS2_LOGIPS2PP)	+= logips2pp.o
psmouse-$(CONFIG_MOUSE_PS2_LIFEBOOK)	+= lifebook.o
psmouse-$(CONFIG_MOUSE_PS2_SENTELIC)	+= sentelic.o
psmouse-$(CONFIG_MOUSE_PS2_TRACKPOINT)	+= trackpoint.o
psmouse-$(CONFIG_MOUSE_PS2_TOUCHKIT)	+= touchkit_ps2.o

KVERSION:= $(KVER)

all:
	$(MAKE) -C /lib/modules/$(KVERSION)/build M=$(PWD) modules
clean:
	$(MAKE) -C /lib/modules/$(KVERSION)/build M=$(PWD) clean

=== debian/changelog ===
oem-touchpad-alps-synaptics-dkms (0.5wataugafour1) precise; urgency=medium

  * Initial version for Watauga4. (LP: #1384226)

 -- Bruce Ma <bruce.ma@canonical.com>  Thu, 06 Nov 2014 18:18:47 +0800

oem-touchpad-alps-synaptics-dkms (0.5) precise; urgency=low

  * Apply to all Dell platforms (LP: #1309298)

 -- Doro Wu <doro.wu@canonical.com>  Fri, 18 Apr 2014 15:06:04 +0800

oem-touchpad-alps-synaptics-dkms (0.3) precise; urgency=low

  * Change modaliases for product name: Vostro 3446, Vostro 3445, Inspiron 
    3442, Inspiron 3441, Inspiron 3542, Inspiron 3541, Inspiron 5748, Vostro 3546. (LP: #1304746)

 -- Cyrus Lien <cyrus.lien@canonical.com>  Wed, 09 Apr 2014 12:47:27 +0800

oem-touchpad-alps-synaptics-dkms (0.2) precise; urgency=low

  * Change modaliases for product name: Inspiron 3442, Inspiron 3542, 
    Inspiron 3742, Inspiron 3441, Inspiron 3541, Vostro 3446, Vostro 3445. (LP: #1304746)

 -- Cyrus Lien <cyrus.lien@canonical.com>  Wed, 09 Apr 2014 10:51:32 +0800

oem-touchpad-alps-synaptics-dkms (0.1) precise; urgency=low

  * Add modaliases.

 -- Cyrus Lien <cyrus.lien@canonical.com>  Thu, 03 Apr 2014 17:38:30 +0800

=== debian/control ===
Source: oem-touchpad-alps-synaptics-dkms
Section: misc
Priority: optional
Maintainer: Dynamic Kernel Modules Support Team <pkg-dkms-maint@lists.alioth.debian.org>
Build-Depends: debhelper (>= 7), dkms, dh-modaliases
Standards-Version: 3.8.1

Package: oem-touchpad-alps-synaptics-dkms
Architecture: all
Depends: dkms (>= 1.95), ${misc:Depends}
Description: oem-touchpad-alps-synaptics driver in DKMS format.
XB-Modaliases: ${modaliases}

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

DEB_NAME=oem-touchpad-alps-synaptics
NAME=oem-touchpad-alps-synaptics
VERSION=0.5wataugafour1

configure: configure-stamp
configure-stamp:
	dh_testdir
	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp 
	dh_testdir
	$(MAKE)
	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp
	-$(MAKE) clean
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs
	$(MAKE) DESTDIR=$(CURDIR)/debian/$(DEB_NAME)-dkms NAME=$(NAME) VERSION=$(VERSION) install

binary-arch: build install

binary-indep: build install
	dh_modaliases
	dh_testdir
	dh_testroot
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
